test failure: os-autoinst: 29-backend-driver.t:31 Failed test 'exit logged'
2021-12-07 12:08 - tinita
Difficulty:

Description

Observation

All 15.3 builds are failing now with the same error
perl-Mojo-IOLoop-ReadWriteProcess-0.31-Ip153.30.1

https://build.opensuse.org/package/live_build_log/devel:openQA/os-autoinst/openSUSE_Leap 15.3/x86_64

[ 211s] 3: [17:11:16] ./28-signalblocker.t .........ouiiuieeenenn. ok 686 ms ( 0.00 usr 0.00
sys + 0.56 cusr 0.14 csys = 0.70 CPU)

[ 212s] 3:

[ 212s] 3: # Failed test 'exit logged'

[ 212s] 3: # at ./29-backend-driver.t line 31.

[ 212s] 3: # STDOUT & STDERR:

[ 212s] 3: # [37m[2021-12-06T17:11:16.953486Z] [debug] received magic close

[ 212s] 3: # [Om

[ 212s] 3: # don't match:

[ 212s] 3: # (?”u:backend.*exited)

[ 212s] 3: # as expected

[ 212s] 3 [37m[2021-12-06T17:11:17.057808Z] [debug] backend process exited: 72057594037927935
[ 212s] 3 [Om# Looks like you failed 1 test of 12.

[ 212s] 3 [17:11:17] ./29-backend—-driver.t .....oeeeeeeneeneenns

[ 212s] 3: Dubious, test returned 1 (wstat 256, 0x100)

[ 212s] 3: Failed 1/12 subtests

Also the output of 10-virtio_terminal.t looks weird, but not sure if this was happening before.
It still succeeds, though:

[ 196s] 3: Can't open out pipe for reading Interrupted system call at ./l10-virtio_terminal.t line

[ 196s] 3:

[ 196s] 3: # Failed test 'no (unexpected) warnings (via END block)'

[ 196s] 3: # at /usr/lib/perl5/5.26.1/Test/Builder.pm line 135.

[ 196s] 3: # Got the following unexpected warnings:

[ 196s] 3: # 1: Can't open out pipe for reading Interrupted system call at ./10-virtio_term

inal.t line 44.

[ 196s] 3: [33m[0m[33m[0m[33m[Om[33m[Om[33m[0m[33m[0m[33m[Om[33m[Om[33m[0Om[17:11:01] ./10-virtio_

terminal.t ........ .00, ok 820 ms ( 0.01 usr 0.00 sys + 0.71 cusr 0.13 csys = 0.85
CPU)

This is how it looks like on 15.2:

[ 164s] 3: [33m[O0m[33m[0m[33m[0m[33m[0m[33m[0m[33m[0m[33m[Om[33m[0m[33m[0m[10:16:34] ./10-virtio_

terminal.t ........ ... ok 835 ms ( 0.01 usr 0.00 sys + 0.71 cusr 0.14 csys = 0.86
CPU)

In any case we should get rid of the ansi codes.

Created an issue here: https://github.com/mudler/Mojo-10Loop-ReadWriteProcess/issues/29

Related issues:
https://build.opensuse.org/package/live_build_log/devel:openQA/os-autoinst/openSUSE_Leap_15.3/x86_64
https://github.com/mudler/Mojo-IOLoop-ReadWriteProcess/issues/29

Blocks openQA Project - action #103605: Most tests time out with perl-Mojo-10... Resolved 2021-12-07
Copied from openQA Project - action #103422: [sporadic] os-autoinst: 13-osuti... Resolved 2021-11-30

History

#1 - 2021-12-07 12:08 - tinita
- Copied from action #103422: [sporadic] os-autoinst: 13-osutils.t:167 Failed test 'Exit code appear in log' in GHA size:M added

#2 - 2021-12-07 12:09 - cdywan
- Related to action #103605: Most tests time out with perl-Mojo-IOLoop-ReadWriteProcess 0.28 added

#3 - 2021-12-07 12:11 - tinita

- Subject changed from [sporadic] os-autoinst: 29-backend-driver.t:31 Failed test ‘'exit logged' to test failure: os-autoinst: 29-backend-driver.t:31 Failed
test 'exit logged'

#4 - 2021-12-07 13:34 - kraih

Bisected the problem, and the responsible change is
https://github.com/mudler/Mojo-IOLoop-ReadWriteProcess/commit/1e0addb6ceebffd74e9e611270fa9eb8759a6976.

#5 - 2021-12-07 13:37 - mKkittler

- Assignee set to mkittler

#6 - 2021-12-08 10:36 - mKkittler

- Status changed from New to Feedback

Opened https://github.com/mudler/Mojo-10Loop-ReadWriteProcess/pull/31 and https://github.com/mudler/Mojo-lI0Loop-ReadWriteProcess/pull/32
there's also https:/github.com/mudler/Mojo-I0OLoop-ReadWritePr /pull/

#7 - 2021-12-08 14:28 - mkittler

| suppose we're now focusing on https:/github.com/mudler/Mojo-IOLoop-ReadWri

I've already tested it against the os-autoinst test and it works. I've also conducted a test run (with no browser tab open) and it passed normally.

In the meantime | also adjusted our devel repos. TW user should lock the RWP package for now (zypper al perl-Mojo-IOLoop-ReadWriteProcess).
#8 - 2021-12-09 10:59 - kraih

Quick way to verify that PR#33 resolves the issue:

$ sudo zypper in perl-App-cpanminus

$ cd os-autoinst

$ cpanm -n -L extlib https://api.github.com/repos/mudler/Mojo-I0Loop-ReadWriteProcess/tarball/d816ead3959fb876

d632654bdblee7£d47c5633d

$ prove -I. -Iextlib/lib/perl5/ t/29-backend-driver.t

t/29-backend-driver.t .. ok
All tests successful.
Files=1, Tests=12, 0 wallclock secs ( 0.02 usr 0.01 sys + 0.12 cusr 0.06 csys = 0.21 CPU)

Result: PASS

#9 - 2021-12-09 14:23 - cdywan
- Related to deleted (action #103605: Most tests time out with perl-Mojo-IOLoop-ReadWriteProcess 0.28)

#10 - 2021-12-09 14:23 - cdywan
- Blocks action #103605: Most tests time out with perl-Mojo-IOLoop-ReadWriteProcess 0.28 added

#11 - 2021-12-10 14:45 - mkittler

The PR has been merged and it is part of the tag 0.32 which should make its way to Factory/TW automatically (see
https://build.opensuse.org/request/show/939161).

When it is in Factory, I'll restore our linking in the devel projects. The new version isn't strictly required but having the race condition fixed (the one
which Clemens wanted to fix initially) is likely a good idea.
#12 - 2021-12-13 11:53 - mkittler

- Status changed from Feedback to Resolved

0.32is not in Factory and TW so this problem should be fixed. | also tested that on my local TW system and updated the linking in our devel repos for
Leap.
